# Name

HPL_pabort halts execution.

# Synopsis

`#include "hpl.h"`
`void` `HPL_pabort(` `int` `LINE`, `const char *` `SRNAME`, `const char *` `FORM`, `...` `);`

# Description

HPL_pabort displays an error message on stderr and halts execution.

# Arguments

    LINE    (local input)                 int
            On entry,  LINE  specifies the line  number in the file where
            the  error  has  occured.  When  LINE  is not a positive line
            number, it is ignored.

    SRNAME  (local input)                 const char *
            On entry, SRNAME  should  be the name of the routine  calling
            this error handler.

    FORM    (local input)                 const char *
            On entry, FORM specifies the format, i.e., how the subsequent
            arguments are converted for output.

            (local input)                 ...
            On entry,  ...  is the list of arguments to be printed within
            the format string.

# See Also

HPL_fprintf, HPL_pwarn.